﻿@charset "UTF-8";
/* prevent the drop down icon going onto a new line for the top bar language link */
.top-bar-language-nav-link {
  min-width: 65px;
}

/* bootstrap model showing two scroll bars */
html {
  overflow: visible;
}

body {
  --mc: $iwb-color;
}

/* main sidebar not under model */
.modal {
  z-index: 1110;
}

.nav-link {
  padding: 0.25rem 1rem;
}

.famfamfam-flags {
  display: inline-block;
}

.iwb-info-box .box-header {
  text-indent: 2em;
  color: #007bff;
  font-size: 1.5rem;
  font-weight: 600;
  border-bottom: 2px solid;
  letter-spacing: 2px;
  margin-bottom: 15px;
  padding-top: 15px;
  padding-bottom: 10px;
}
.iwb-info-box .box-footer {
  color: #007bff;
  text-align: center;
  background: transparent;
  margin-top: 15px;
  padding-top: 10px;
  border-top: 2px solid;
}

.form-group.required .col-form-label:after {
  color: #d00;
  content: "*";
  position: absolute;
  margin-left: 3px;
}

.text-iwb {
  color: #007bff;
}

.bg-iwb {
  background: #007bff;
  color: #fff;
}

a {
  color: #007bff;
}

.dropdown-item:focus, .dropdown-item:hover {
  color: #eee;
  text-decoration: none;
  background-color: #007bff;
}

.notification-item {
  display: flex;
  flex-direction: row;
  padding: 0.25rem 1rem;
  cursor: pointer;
  min-width: 400px;
  max-width: 450px;
}
.notification-item .item-icon {
  display: flex;
  justify-content: center;
  align-items: center;
  margin-right: 5px;
}
.notification-item .item-icon i {
  font-size: 22px;
}
.notification-item .item-text {
  display: flex;
  flex-wrap: wrap;
  color: #333;
  align-items: center;
  width: 100%;
  white-space: normal;
  word-break: break-all;
}
.notification-item .item-time {
  display: flex;
  white-space: nowrap;
  justify-content: flex-end;
  align-items: center;
  font-size: 0.5rem;
  margin-left: 5px;
}
.notification-item.read .item-text, .notification-item.read .item-time.text-muted {
  color: #aaa !important;
}
.notification-item:focus, .notification-item:hover {
  color: inherit;
  background-image: linear-gradient(rbga(0, 0, 0, 0.7), rbga(0, 0, 0, 0.7));
}

.nav-user-menu .user-image {
  width: 20px;
  margin-right: 4px;
  margin-top: -4px;
}

button:focus, button:active {
  outline: none;
}

.input-group-text {
  background: #007bff;
  color: #fff;
  border: 1px solid #007bff;
}

.search-icon-box {
  position: absolute;
  right: 0px;
  display: flex;
  z-index: 3;
}
.search-icon-box.select-icon-box {
  right: 35px;
}
.search-icon-box > .input-group-text {
  height: 31px;
  border-radius: 0.2rem;
  min-width: 35px !important;
  width: 35px !important;
  cursor: pointer;
  display: flex;
  justify-content: center !important;
  align-items: center;
  padding: 0;
}
.search-icon-box > .input-group-text:not(:first-child) {
  border-top-left-radius: 0;
  border-bottom-left-radius: 0;
}
.search-icon-box > .input-group-text:not(:last-child) {
  border-right: 2px solid #eee;
  border-top-right-radius: 0;
  border-bottom-right-radius: 0;
}

.system-name {
  font-size: 1.5rem;
  height: auto;
  padding-top: 0;
  padding-bottom: 0;
  line-height: 40px;
}
.system-name a {
  padding: 0 10px;
}

#auth-tree {
  width: 80%;
  margin: 0 auto;
}

.card-footer button {
  min-width: 100px;
}

.search-box {
  width: 100%;
  position: absolute;
  z-index: 2;
}
.search-box .search-card {
  margin-bottom: 0;
}
.search-box .search-card .card-header {
  padding: 0;
}
.search-box .search-card .card-header button {
  width: 50px;
}
.search-box .search-card .card-header button.btn-search {
  width: 45px;
}
.search-box .search-card:not(.collapsed-card) .card-header {
  border-radius: 0.25rem 0.25rem 0 0;
}
.search-box .search-card:not(.collapsed-card) .card-header .input-group-prepend > button {
  border-radius: 0.25rem 0 0 0;
}
.search-box .search-card:not(.collapsed-card) .card-header .input-group-append > button {
  border-radius: 0 0.25rem 0 0;
}
.search-box .search-card .card-body {
  border-color: #007bff;
  padding: 0.6rem 0.8rem;
}
.search-box .search-card .card-body .search-unit:not(:last-child) {
  margin-bottom: 0.5rem;
}
.search-box .search-card .card-body .search-input .select2-selection {
  border-bottom-left-radius: 0;
  border-top-left-radius: 0;
}
.search-box .search-card .card-body .input-group-text {
  min-width: 80px;
  background: #007bff;
  color: #fff;
  justify-content: flex-end;
}
.search-box .search-card .card-body .search-icon .input-group-text, .search-box .search-card .card-body .select-search-icon .input-group-text {
  min-width: 30px;
  justify-content: center;
}
.search-box .search-card .card-body .dataRange {
  font-size: 100%;
}
.search-box .search-card .card-footer {
  padding: 0.6rem 0.5rem;
  border-color: #007bff;
}

.iwb-wang-editor {
  width: 100%;
}

.iwb-dynamic-box .box-label label {
  padding-left: 0.5rem;
  padding-bottom: 2px;
  border-bottom: 2px solid #666;
  width: 100%;
}
.iwb-dynamic-box .box-body .empty {
  text-align: center;
  font-size: 1.5rem;
  width: 100%;
}
.iwb-dynamic-box .box-body > div {
  margin-bottom: 0.5rem;
}

.modal .modal-dialog {
  width: 500px;
}
.modal .modal-dialog.modal-lg {
  width: 1000px;
}
.modal .modal-dialog.modal-md {
  width: 800px;
}
.modal .modal-dialog.modal-sm {
  width: 500px;
}
.modal .modal-dialog.modal-xl {
  width: 300px;
}
.modal .modal-header {
  padding: 0.5rem 1rem;
}
.modal .modal-header .modal-title {
  color: #007bff;
}
.modal .modal-header .modal-title .modal-title-span {
  padding-right: 2px;
}
.modal .modal-body {
  color: #495057;
}
.modal .modal-body label {
  color: #212529;
}
.modal .modal-body label.iwb-checkbox {
  color: var(--mc);
}
.modal .modal-body .form-horizontal {
  width: 100%;
}
.modal .modal-footer {
  justify-content: space-between;
  padding: 0.5rem 1rem;
}
.modal .modal-footer button {
  min-width: 100px;
}
.modal .modal-footer button.close-button, .modal .modal-footer button.save-button, .modal .modal-footer button.save-btn {
  min-width: 100px;
}

.iwb-form .form-group {
  margin-bottom: 0.5rem;
}
.iwb-form .input-group + p[id$=-error], .iwb-form .input-group + label.error {
  margin-top: 0;
  margin-bottom: 0;
  position: absolute;
  right: 35px;
  top: 6px;
  font-weight: 600;
  z-index: 9999;
  color: red !important;
  font-size: 0.8rem;
}
.iwb-form .iwb-label {
  font-size: 0.95rem;
}
.iwb-form .help-block {
  color: var(--mc);
  padding-left: 0.5rem;
  font-size: 0.75rem;
}
.iwb-form .input-group > .select2-container--default:not(:last-child) .select2-selection {
  border-bottom-right-radius: 0.25rem;
  border-top-right-radius: 0.25rem;
}
.iwb-form select:disabled + .select2 .select2-selection, .iwb-form select[readonly] + .select2 .select2-selection {
  background-color: #e9ecef;
  opacity: 1;
}
.iwb-form .nav-tabs {
  margin-top: -0.5rem;
  border-bottom: 1px solid #007bff;
}
.iwb-form .nav-tabs .nav-item .nav-link {
  color: #007bff;
}
.iwb-form .nav-tabs .nav-item .nav-link:focus, .iwb-form .nav-tabs .nav-item .nav-link:hover {
  border-color: #007bff #007bff #007bff;
}
.iwb-form .nav-tabs .nav-item .nav-link.active {
  color: #fff;
  background: #007bff;
  border-color: #007bff;
}

.iwb-label {
  display: flex;
  margin: 0;
  align-items: center;
  justify-content: flex-end;
}
.iwb-label.iwb-label-required:after {
  content: "*";
  color: red;
  right: 0px;
  position: absolute;
}

.label {
  background: #aaa;
  color: #fff;
  padding: 0.25rem 0.5rem;
  border-radius: 0.25rem;
  font-size: 0.875em;
}
.label:empty {
  padding: 0;
}
.label.lg {
  font-size: 1.125em;
}
.label.md {
  font-size: 1rem;
}
.label.circle {
  border-radius: 1rem;
  padding-left: 1rem;
  padding-right: 1rem;
}
.label.rect {
  border-radius: 0;
}
.label.label-iwb {
  background: #007bff;
}
.label.label-success {
  background: #28a745;
}
.label.label-primary {
  background: #007bff;
}
.label.label-danger {
  background: #dc3545;
}
.label.label-info {
  background: #17a2b8;
}
.label.label-warning {
  color: #1f2d3d;
  background: #ffc107;
}
.label.label-secondary {
  background: #6c757d;
}
.label.label-blue {
  background: #007bff;
}
.label.label-indigo {
  background: #6610f2;
}
.label.label-purple {
  background: #6f42c1;
}
.label.label-pink {
  background: #e83e8c;
}
.label.label-red {
  background: #dc3545;
}
.label.label-orange {
  background: #fd7e14;
}
.label.label-yellow {
  background: #ffc107;
}
.label.label-green {
  background: #28a745;
}
.label.label-teal {
  background: #20c997;
}
.label.label-cyan {
  background: #17a2b8;
}
.label.label-white {
  background: #fff;
}
.label.label-gray {
  background: #6c757d;
}
.label.label-gray-dark {
  background: #343a40;
}
.label.label-lightblue {
  background: #3c8dbc;
}
.label.label-navy {
  background: #001f3f;
}
.label.label-olive {
  background: #3d9970;
}
.label.label-lime {
  background: #01ff70;
}
.label.label-fuchsia {
  background: #f012be;
}
.label.label-maroon {
  background: #d81b60;
}

.iwb-checkbox, .iwb-radio {
  --w: 20px;
  --mw: 6px;
  display: inline-block;
  position: relative;
  padding-left: calc(var(--w) + var(--mw) * 2);
  color: #007bff;
  margin-bottom: 0;
  cursor: pointer;
  font-size: 0.875rem;
  transition: all 0.3s;
  cursor: pointer;
}
.iwb-checkbox > input, .iwb-radio > input {
  position: absolute;
  z-index: -1;
  opacity: 0;
  filter: alpha(opacity=0);
}
.iwb-checkbox > span, .iwb-radio > span {
  position: relative;
  min-height: var(--w);
  line-height: var(--w);
  display: inline-block;
}
.iwb-checkbox > span:before, .iwb-radio > span:before {
  content: "";
  border-radius: 0.25rem;
  background: none;
  position: absolute;
  top: auto;
  left: calc(0px - var(--w) - var(--mw));
  height: var(--w);
  width: var(--w);
  color: inherit;
  border: 1px solid;
}
.iwb-checkbox > span:after, .iwb-radio > span:after {
  content: "";
  position: absolute;
  display: none;
}
.iwb-checkbox input:checked ~ span:before, .iwb-radio input:checked ~ span:before {
  transition: all 0.3s;
  background: #007bff;
}
.iwb-checkbox input:checked ~ span:after, .iwb-radio input:checked ~ span:after {
  display: block;
  bottom: calc((var(--w) - (var(--w) / 3 - 1px) * 1.4) / 2);
  left: calc(0.5px - var(--mw) - var(--w) * 2 / 3);
  width: calc(var(--w) / 3 - 1px);
  height: calc((var(--w) / 3 - 1px) * 2);
  border-style: solid;
  border-color: #fff;
  border-width: 0 2px 2px 0 !important;
  transform: rotate(45deg);
}
.iwb-checkbox.iwb-outline input:checked ~ span:before, .iwb-radio.iwb-outline input:checked ~ span:before {
  background: none;
}
.iwb-checkbox.iwb-outline input:checked ~ span:after, .iwb-radio.iwb-outline input:checked ~ span:after {
  border-color: inherit;
}
.iwb-checkbox.iwb-blue, .iwb-radio.iwb-blue {
  color: #007bff;
}
.iwb-checkbox.iwb-indigo, .iwb-radio.iwb-indigo {
  color: #6610f2;
}
.iwb-checkbox.iwb-purple, .iwb-radio.iwb-purple {
  color: #6f42c1;
}
.iwb-checkbox.iwb-pink, .iwb-radio.iwb-pink {
  color: #e83e8c;
}
.iwb-checkbox.iwb-red, .iwb-radio.iwb-red {
  color: #dc3545;
}
.iwb-checkbox.iwb-orange, .iwb-radio.iwb-orange {
  color: #fd7e14;
}
.iwb-checkbox.iwb-yellow, .iwb-radio.iwb-yellow {
  color: #ffc107;
}
.iwb-checkbox.iwb-green, .iwb-radio.iwb-green {
  color: #28a745;
}
.iwb-checkbox.iwb-teal, .iwb-radio.iwb-teal {
  color: #20c997;
}
.iwb-checkbox.iwb-cyan, .iwb-radio.iwb-cyan {
  color: #17a2b8;
}
.iwb-checkbox.iwb-white, .iwb-radio.iwb-white {
  color: #fff;
}
.iwb-checkbox.iwb-gray, .iwb-radio.iwb-gray {
  color: #6c757d;
}
.iwb-checkbox.iwb-gray-dark, .iwb-radio.iwb-gray-dark {
  color: #343a40;
}
.iwb-checkbox.iwb-lightblue, .iwb-radio.iwb-lightblue {
  color: #3c8dbc;
}
.iwb-checkbox.iwb-navy, .iwb-radio.iwb-navy {
  color: #001f3f;
}
.iwb-checkbox.iwb-olive, .iwb-radio.iwb-olive {
  color: #3d9970;
}
.iwb-checkbox.iwb-lime, .iwb-radio.iwb-lime {
  color: #01ff70;
}
.iwb-checkbox.iwb-fuchsia, .iwb-radio.iwb-fuchsia {
  color: #f012be;
}
.iwb-checkbox.iwb-maroon, .iwb-radio.iwb-maroon {
  color: #d81b60;
}

.iwb-radio > span:before {
  border-radius: var(--w);
}

.btn.btn-iwb {
  color: #fff;
  border-color: #007bff;
  background: #007bff;
}
.btn.btn-iwb:hover, .btn.btn-iwb:active, .btn.btn-iwb.hover {
  border-color: #006fe6;
  background-color: #006fe6;
  color: #fff;
}
.btn.btn-outline-iwb {
  color: #007bff;
  border: 1px solid #007bff;
  background: #f8f9fa;
}
.btn.btn-outline-iwb:hover, .btn.btn-outline-iwb:active, .btn.btn-outline-iwb.hover {
  border: 1px solid #007bff;
  background-color: #007bff;
  color: #fff;
}
.btn.btn-blue {
  color: #fff;
  border-color: #007bff;
  background: #007bff;
}
.btn.btn-blue:hover, .btn.btn-blue:active, .btn.btn-blue.hover {
  border-color: #006fe6;
  background-color: #006fe6;
  color: #fff;
}
.btn.btn-indigo {
  color: #fff;
  border-color: #6610f2;
  background: #6610f2;
}
.btn.btn-indigo:hover, .btn.btn-indigo:active, .btn.btn-indigo.hover {
  border-color: #5b0cdd;
  background-color: #5b0cdd;
  color: #fff;
}
.btn.btn-purple {
  color: #fff;
  border-color: #6f42c1;
  background: #6f42c1;
}
.btn.btn-purple:hover, .btn.btn-purple:active, .btn.btn-purple.hover {
  border-color: #643ab0;
  background-color: #643ab0;
  color: #fff;
}
.btn.btn-pink {
  color: #fff;
  border-color: #e83e8c;
  background: #e83e8c;
}
.btn.btn-pink:hover, .btn.btn-pink:active, .btn.btn-pink.hover {
  border-color: #e5277e;
  background-color: #e5277e;
  color: #fff;
}
.btn.btn-red {
  color: #fff;
  border-color: #dc3545;
  background: #dc3545;
}
.btn.btn-red:hover, .btn.btn-red:active, .btn.btn-red.hover {
  border-color: #d32535;
  background-color: #d32535;
  color: #fff;
}
.btn.btn-orange {
  color: #fff;
  border-color: #fd7e14;
  background: #fd7e14;
}
.btn.btn-orange:hover, .btn.btn-orange:active, .btn.btn-orange.hover {
  border-color: #f57102;
  background-color: #f57102;
  color: #fff;
}
.btn.btn-yellow {
  color: #fff;
  border-color: #ffc107;
  background: #ffc107;
}
.btn.btn-yellow:hover, .btn.btn-yellow:active, .btn.btn-yellow.hover {
  border-color: #edb100;
  background-color: #edb100;
  color: #fff;
}
.btn.btn-green {
  color: #fff;
  border-color: #28a745;
  background: #28a745;
}
.btn.btn-green:hover, .btn.btn-green:active, .btn.btn-green.hover {
  border-color: #23923d;
  background-color: #23923d;
  color: #fff;
}
.btn.btn-teal {
  color: #fff;
  border-color: #20c997;
  background: #20c997;
}
.btn.btn-teal:hover, .btn.btn-teal:active, .btn.btn-teal.hover {
  border-color: #1cb386;
  background-color: #1cb386;
  color: #fff;
}
.btn.btn-cyan {
  color: #fff;
  border-color: #17a2b8;
  background: #17a2b8;
}
.btn.btn-cyan:hover, .btn.btn-cyan:active, .btn.btn-cyan.hover {
  border-color: #148ea1;
  background-color: #148ea1;
  color: #fff;
}
.btn.btn-white {
  color: #fff;
  border-color: #fff;
  background: #fff;
}
.btn.btn-white:hover, .btn.btn-white:active, .btn.btn-white.hover {
  border-color: #f2f2f2;
  background-color: #f2f2f2;
  color: #fff;
}
.btn.btn-gray {
  color: #fff;
  border-color: #6c757d;
  background: #6c757d;
}
.btn.btn-gray:hover, .btn.btn-gray:active, .btn.btn-gray.hover {
  border-color: #60686f;
  background-color: #60686f;
  color: #fff;
}
.btn.btn-gray-dark {
  color: #fff;
  border-color: #343a40;
  background: #343a40;
}
.btn.btn-gray-dark:hover, .btn.btn-gray-dark:active, .btn.btn-gray-dark.hover {
  border-color: #292d32;
  background-color: #292d32;
  color: #fff;
}
.btn.btn-lightblue {
  color: #fff;
  border-color: #3c8dbc;
  background: #3c8dbc;
}
.btn.btn-lightblue:hover, .btn.btn-lightblue:active, .btn.btn-lightblue.hover {
  border-color: #367fa9;
  background-color: #367fa9;
  color: #fff;
}
.btn.btn-navy {
  color: #fff;
  border-color: #001f3f;
  background: #001f3f;
}
.btn.btn-navy:hover, .btn.btn-navy:active, .btn.btn-navy.hover {
  border-color: #001226;
  background-color: #001226;
  color: #fff;
}
.btn.btn-olive {
  color: #fff;
  border-color: #3d9970;
  background: #3d9970;
}
.btn.btn-olive:hover, .btn.btn-olive:active, .btn.btn-olive.hover {
  border-color: #368763;
  background-color: #368763;
  color: #fff;
}
.btn.btn-lime {
  color: #fff;
  border-color: #01ff70;
  background: #01ff70;
}
.btn.btn-lime:hover, .btn.btn-lime:active, .btn.btn-lime.hover {
  border-color: #00e765;
  background-color: #00e765;
  color: #fff;
}
.btn.btn-fuchsia {
  color: #fff;
  border-color: #f012be;
  background: #f012be;
}
.btn.btn-fuchsia:hover, .btn.btn-fuchsia:active, .btn.btn-fuchsia.hover {
  border-color: #db0ead;
  background-color: #db0ead;
  color: #fff;
}
.btn.btn-maroon {
  color: #fff;
  border-color: #d81b60;
  background: #d81b60;
}
.btn.btn-maroon:hover, .btn.btn-maroon:active, .btn.btn-maroon.hover {
  border-color: #c11856;
  background-color: #c11856;
  color: #fff;
}
.btn.btn-outline-blue {
  color: #007bff;
  border: 1px solid #007bff;
  background: #f8f9fa;
}
.btn.btn-outline-blue:hover, .btn.btn-outline-blue:active, .btn.btn-outline-blue.hover {
  border: 1px solid #007bff;
  background-color: #007bff;
  color: #fff;
}
.btn.btn-outline-indigo {
  color: #6610f2;
  border: 1px solid #6610f2;
  background: #f8f9fa;
}
.btn.btn-outline-indigo:hover, .btn.btn-outline-indigo:active, .btn.btn-outline-indigo.hover {
  border: 1px solid #6610f2;
  background-color: #6610f2;
  color: #fff;
}
.btn.btn-outline-purple {
  color: #6f42c1;
  border: 1px solid #6f42c1;
  background: #f8f9fa;
}
.btn.btn-outline-purple:hover, .btn.btn-outline-purple:active, .btn.btn-outline-purple.hover {
  border: 1px solid #6f42c1;
  background-color: #6f42c1;
  color: #fff;
}
.btn.btn-outline-pink {
  color: #e83e8c;
  border: 1px solid #e83e8c;
  background: #f8f9fa;
}
.btn.btn-outline-pink:hover, .btn.btn-outline-pink:active, .btn.btn-outline-pink.hover {
  border: 1px solid #e83e8c;
  background-color: #e83e8c;
  color: #fff;
}
.btn.btn-outline-red {
  color: #dc3545;
  border: 1px solid #dc3545;
  background: #f8f9fa;
}
.btn.btn-outline-red:hover, .btn.btn-outline-red:active, .btn.btn-outline-red.hover {
  border: 1px solid #dc3545;
  background-color: #dc3545;
  color: #fff;
}
.btn.btn-outline-orange {
  color: #fd7e14;
  border: 1px solid #fd7e14;
  background: #f8f9fa;
}
.btn.btn-outline-orange:hover, .btn.btn-outline-orange:active, .btn.btn-outline-orange.hover {
  border: 1px solid #fd7e14;
  background-color: #fd7e14;
  color: #fff;
}
.btn.btn-outline-yellow {
  color: #ffc107;
  border: 1px solid #ffc107;
  background: #f8f9fa;
}
.btn.btn-outline-yellow:hover, .btn.btn-outline-yellow:active, .btn.btn-outline-yellow.hover {
  border: 1px solid #ffc107;
  background-color: #ffc107;
  color: #fff;
}
.btn.btn-outline-green {
  color: #28a745;
  border: 1px solid #28a745;
  background: #f8f9fa;
}
.btn.btn-outline-green:hover, .btn.btn-outline-green:active, .btn.btn-outline-green.hover {
  border: 1px solid #28a745;
  background-color: #28a745;
  color: #fff;
}
.btn.btn-outline-teal {
  color: #20c997;
  border: 1px solid #20c997;
  background: #f8f9fa;
}
.btn.btn-outline-teal:hover, .btn.btn-outline-teal:active, .btn.btn-outline-teal.hover {
  border: 1px solid #20c997;
  background-color: #20c997;
  color: #fff;
}
.btn.btn-outline-cyan {
  color: #17a2b8;
  border: 1px solid #17a2b8;
  background: #f8f9fa;
}
.btn.btn-outline-cyan:hover, .btn.btn-outline-cyan:active, .btn.btn-outline-cyan.hover {
  border: 1px solid #17a2b8;
  background-color: #17a2b8;
  color: #fff;
}
.btn.btn-outline-white {
  color: #fff;
  border: 1px solid #fff;
  background: #f8f9fa;
}
.btn.btn-outline-white:hover, .btn.btn-outline-white:active, .btn.btn-outline-white.hover {
  border: 1px solid #fff;
  background-color: #fff;
  color: #fff;
}
.btn.btn-outline-gray {
  color: #6c757d;
  border: 1px solid #6c757d;
  background: #f8f9fa;
}
.btn.btn-outline-gray:hover, .btn.btn-outline-gray:active, .btn.btn-outline-gray.hover {
  border: 1px solid #6c757d;
  background-color: #6c757d;
  color: #fff;
}
.btn.btn-outline-gray-dark {
  color: #343a40;
  border: 1px solid #343a40;
  background: #f8f9fa;
}
.btn.btn-outline-gray-dark:hover, .btn.btn-outline-gray-dark:active, .btn.btn-outline-gray-dark.hover {
  border: 1px solid #343a40;
  background-color: #343a40;
  color: #fff;
}
.btn.btn-outline-lightblue {
  color: #3c8dbc;
  border: 1px solid #3c8dbc;
  background: #f8f9fa;
}
.btn.btn-outline-lightblue:hover, .btn.btn-outline-lightblue:active, .btn.btn-outline-lightblue.hover {
  border: 1px solid #3c8dbc;
  background-color: #3c8dbc;
  color: #fff;
}
.btn.btn-outline-navy {
  color: #001f3f;
  border: 1px solid #001f3f;
  background: #f8f9fa;
}
.btn.btn-outline-navy:hover, .btn.btn-outline-navy:active, .btn.btn-outline-navy.hover {
  border: 1px solid #001f3f;
  background-color: #001f3f;
  color: #fff;
}
.btn.btn-outline-olive {
  color: #3d9970;
  border: 1px solid #3d9970;
  background: #f8f9fa;
}
.btn.btn-outline-olive:hover, .btn.btn-outline-olive:active, .btn.btn-outline-olive.hover {
  border: 1px solid #3d9970;
  background-color: #3d9970;
  color: #fff;
}
.btn.btn-outline-lime {
  color: #01ff70;
  border: 1px solid #01ff70;
  background: #f8f9fa;
}
.btn.btn-outline-lime:hover, .btn.btn-outline-lime:active, .btn.btn-outline-lime.hover {
  border: 1px solid #01ff70;
  background-color: #01ff70;
  color: #fff;
}
.btn.btn-outline-fuchsia {
  color: #f012be;
  border: 1px solid #f012be;
  background: #f8f9fa;
}
.btn.btn-outline-fuchsia:hover, .btn.btn-outline-fuchsia:active, .btn.btn-outline-fuchsia.hover {
  border: 1px solid #f012be;
  background-color: #f012be;
  color: #fff;
}
.btn.btn-outline-maroon {
  color: #d81b60;
  border: 1px solid #d81b60;
  background: #f8f9fa;
}
.btn.btn-outline-maroon:hover, .btn.btn-outline-maroon:active, .btn.btn-outline-maroon.hover {
  border: 1px solid #d81b60;
  background-color: #d81b60;
  color: #fff;
}

.sidebar {
  height: calc(100vh - 4rem);
  min-height: 200px;
}

[class*=sidebar-dark-iwb] .nav-sidebar > .nav-item > .nav-link.active, [class*=sidebar-light-iwb] .nav-sidebar > .nav-item > .nav-link.active {
  background-color: #007bff;
  color: #fff;
}
[class*=sidebar-dark-iwb] .nav-sidebar.nav-legacy > .nav-item > .nav-link.active, [class*=sidebar-light-iwb] .nav-sidebar.nav-legacy > .nav-item > .nav-link.active {
  border-color: #007bff;
}

[class*=sidebar-dark-blue] .nav-sidebar > .nav-item > .nav-link.active, [class*=sidebar-light-blue] .nav-sidebar > .nav-item > .nav-link.active {
  background-color: #007bff;
  color: #fff;
}
[class*=sidebar-dark-blue] .nav-sidebar.nav-legacy > .nav-item > .nav-link.active, [class*=sidebar-light-blue] .nav-sidebar.nav-legacy > .nav-item > .nav-link.active {
  border-color: #007bff;
}

[class*=sidebar-dark-indigo] .nav-sidebar > .nav-item > .nav-link.active, [class*=sidebar-light-indigo] .nav-sidebar > .nav-item > .nav-link.active {
  background-color: #6610f2;
  color: #fff;
}
[class*=sidebar-dark-indigo] .nav-sidebar.nav-legacy > .nav-item > .nav-link.active, [class*=sidebar-light-indigo] .nav-sidebar.nav-legacy > .nav-item > .nav-link.active {
  border-color: #6610f2;
}

[class*=sidebar-dark-purple] .nav-sidebar > .nav-item > .nav-link.active, [class*=sidebar-light-purple] .nav-sidebar > .nav-item > .nav-link.active {
  background-color: #6f42c1;
  color: #fff;
}
[class*=sidebar-dark-purple] .nav-sidebar.nav-legacy > .nav-item > .nav-link.active, [class*=sidebar-light-purple] .nav-sidebar.nav-legacy > .nav-item > .nav-link.active {
  border-color: #6f42c1;
}

[class*=sidebar-dark-pink] .nav-sidebar > .nav-item > .nav-link.active, [class*=sidebar-light-pink] .nav-sidebar > .nav-item > .nav-link.active {
  background-color: #e83e8c;
  color: #fff;
}
[class*=sidebar-dark-pink] .nav-sidebar.nav-legacy > .nav-item > .nav-link.active, [class*=sidebar-light-pink] .nav-sidebar.nav-legacy > .nav-item > .nav-link.active {
  border-color: #e83e8c;
}

[class*=sidebar-dark-red] .nav-sidebar > .nav-item > .nav-link.active, [class*=sidebar-light-red] .nav-sidebar > .nav-item > .nav-link.active {
  background-color: #dc3545;
  color: #fff;
}
[class*=sidebar-dark-red] .nav-sidebar.nav-legacy > .nav-item > .nav-link.active, [class*=sidebar-light-red] .nav-sidebar.nav-legacy > .nav-item > .nav-link.active {
  border-color: #dc3545;
}

[class*=sidebar-dark-orange] .nav-sidebar > .nav-item > .nav-link.active, [class*=sidebar-light-orange] .nav-sidebar > .nav-item > .nav-link.active {
  background-color: #fd7e14;
  color: #1f2d3d;
}
[class*=sidebar-dark-orange] .nav-sidebar.nav-legacy > .nav-item > .nav-link.active, [class*=sidebar-light-orange] .nav-sidebar.nav-legacy > .nav-item > .nav-link.active {
  border-color: #fd7e14;
}

[class*=sidebar-dark-yellow] .nav-sidebar > .nav-item > .nav-link.active, [class*=sidebar-light-yellow] .nav-sidebar > .nav-item > .nav-link.active {
  background-color: #ffc107;
  color: #1f2d3d;
}
[class*=sidebar-dark-yellow] .nav-sidebar.nav-legacy > .nav-item > .nav-link.active, [class*=sidebar-light-yellow] .nav-sidebar.nav-legacy > .nav-item > .nav-link.active {
  border-color: #ffc107;
}

[class*=sidebar-dark-green] .nav-sidebar > .nav-item > .nav-link.active, [class*=sidebar-light-green] .nav-sidebar > .nav-item > .nav-link.active {
  background-color: #28a745;
  color: #fff;
}
[class*=sidebar-dark-green] .nav-sidebar.nav-legacy > .nav-item > .nav-link.active, [class*=sidebar-light-green] .nav-sidebar.nav-legacy > .nav-item > .nav-link.active {
  border-color: #28a745;
}

[class*=sidebar-dark-teal] .nav-sidebar > .nav-item > .nav-link.active, [class*=sidebar-light-teal] .nav-sidebar > .nav-item > .nav-link.active {
  background-color: #20c997;
  color: #fff;
}
[class*=sidebar-dark-teal] .nav-sidebar.nav-legacy > .nav-item > .nav-link.active, [class*=sidebar-light-teal] .nav-sidebar.nav-legacy > .nav-item > .nav-link.active {
  border-color: #20c997;
}

[class*=sidebar-dark-cyan] .nav-sidebar > .nav-item > .nav-link.active, [class*=sidebar-light-cyan] .nav-sidebar > .nav-item > .nav-link.active {
  background-color: #17a2b8;
  color: #fff;
}
[class*=sidebar-dark-cyan] .nav-sidebar.nav-legacy > .nav-item > .nav-link.active, [class*=sidebar-light-cyan] .nav-sidebar.nav-legacy > .nav-item > .nav-link.active {
  border-color: #17a2b8;
}

[class*=sidebar-dark-white] .nav-sidebar > .nav-item > .nav-link.active, [class*=sidebar-light-white] .nav-sidebar > .nav-item > .nav-link.active {
  background-color: #fff;
  color: #1f2d3d;
}
[class*=sidebar-dark-white] .nav-sidebar.nav-legacy > .nav-item > .nav-link.active, [class*=sidebar-light-white] .nav-sidebar.nav-legacy > .nav-item > .nav-link.active {
  border-color: #fff;
}

[class*=sidebar-dark-gray] .nav-sidebar > .nav-item > .nav-link.active, [class*=sidebar-light-gray] .nav-sidebar > .nav-item > .nav-link.active {
  background-color: #6c757d;
  color: #fff;
}
[class*=sidebar-dark-gray] .nav-sidebar.nav-legacy > .nav-item > .nav-link.active, [class*=sidebar-light-gray] .nav-sidebar.nav-legacy > .nav-item > .nav-link.active {
  border-color: #6c757d;
}

[class*=sidebar-dark-gray-dark] .nav-sidebar > .nav-item > .nav-link.active, [class*=sidebar-light-gray-dark] .nav-sidebar > .nav-item > .nav-link.active {
  background-color: #343a40;
  color: #fff;
}
[class*=sidebar-dark-gray-dark] .nav-sidebar.nav-legacy > .nav-item > .nav-link.active, [class*=sidebar-light-gray-dark] .nav-sidebar.nav-legacy > .nav-item > .nav-link.active {
  border-color: #343a40;
}

[class*=sidebar-dark-lightblue] .nav-sidebar > .nav-item > .nav-link.active, [class*=sidebar-light-lightblue] .nav-sidebar > .nav-item > .nav-link.active {
  background-color: #3c8dbc;
  color: #fff;
}
[class*=sidebar-dark-lightblue] .nav-sidebar.nav-legacy > .nav-item > .nav-link.active, [class*=sidebar-light-lightblue] .nav-sidebar.nav-legacy > .nav-item > .nav-link.active {
  border-color: #3c8dbc;
}

[class*=sidebar-dark-navy] .nav-sidebar > .nav-item > .nav-link.active, [class*=sidebar-light-navy] .nav-sidebar > .nav-item > .nav-link.active {
  background-color: #001f3f;
  color: #fff;
}
[class*=sidebar-dark-navy] .nav-sidebar.nav-legacy > .nav-item > .nav-link.active, [class*=sidebar-light-navy] .nav-sidebar.nav-legacy > .nav-item > .nav-link.active {
  border-color: #001f3f;
}

[class*=sidebar-dark-olive] .nav-sidebar > .nav-item > .nav-link.active, [class*=sidebar-light-olive] .nav-sidebar > .nav-item > .nav-link.active {
  background-color: #3d9970;
  color: #fff;
}
[class*=sidebar-dark-olive] .nav-sidebar.nav-legacy > .nav-item > .nav-link.active, [class*=sidebar-light-olive] .nav-sidebar.nav-legacy > .nav-item > .nav-link.active {
  border-color: #3d9970;
}

[class*=sidebar-dark-lime] .nav-sidebar > .nav-item > .nav-link.active, [class*=sidebar-light-lime] .nav-sidebar > .nav-item > .nav-link.active {
  background-color: #01ff70;
  color: #1f2d3d;
}
[class*=sidebar-dark-lime] .nav-sidebar.nav-legacy > .nav-item > .nav-link.active, [class*=sidebar-light-lime] .nav-sidebar.nav-legacy > .nav-item > .nav-link.active {
  border-color: #01ff70;
}

[class*=sidebar-dark-fuchsia] .nav-sidebar > .nav-item > .nav-link.active, [class*=sidebar-light-fuchsia] .nav-sidebar > .nav-item > .nav-link.active {
  background-color: #f012be;
  color: #fff;
}
[class*=sidebar-dark-fuchsia] .nav-sidebar.nav-legacy > .nav-item > .nav-link.active, [class*=sidebar-light-fuchsia] .nav-sidebar.nav-legacy > .nav-item > .nav-link.active {
  border-color: #f012be;
}

[class*=sidebar-dark-maroon] .nav-sidebar > .nav-item > .nav-link.active, [class*=sidebar-light-maroon] .nav-sidebar > .nav-item > .nav-link.active {
  background-color: #d81b60;
  color: #fff;
}
[class*=sidebar-dark-maroon] .nav-sidebar.nav-legacy > .nav-item > .nav-link.active, [class*=sidebar-light-maroon] .nav-sidebar.nav-legacy > .nav-item > .nav-link.active {
  border-color: #d81b60;
}

.iwb-table.table-box, .iwb-bootstrap-table.table-box {
  text-decoration: none;
  padding: 5px 10px 0;
}
.iwb-table .table-box-header, .iwb-bootstrap-table .table-box-header {
  padding: 5px 0;
}
.iwb-table .table-box-header .table-tool, .iwb-table .table-box-header .tableTool, .iwb-bootstrap-table .table-box-header .table-tool, .iwb-bootstrap-table .table-box-header .tableTool {
  height: 30px;
}
.iwb-table .table-box-header .table-tool .tool-menu .menu-btn, .iwb-table .table-box-header .tableTool .tool-menu .menu-btn, .iwb-bootstrap-table .table-box-header .table-tool .tool-menu .menu-btn, .iwb-bootstrap-table .table-box-header .tableTool .tool-menu .menu-btn {
  color: #007bff;
  background: #cce5ff;
}
.iwb-table .table-box-content, .iwb-bootstrap-table .table-box-content {
  padding: 5px 0 3px;
}
.iwb-table .bootstrap-table .table, .iwb-bootstrap-table .bootstrap-table .table {
  width: 100% !important;
}
.iwb-table .bootstrap-table .table thead > tr > th, .iwb-bootstrap-table .bootstrap-table .table thead > tr > th {
  /*padding: 0;
  margin: 0;*/
  background: #99caff;
  /*color:color-yiq($white);*/
  color: #fff;
}
.iwb-table .bootstrap-table .table thead > tr > th .th-inner, .iwb-bootstrap-table .bootstrap-table .table thead > tr > th .th-inner {
  padding: 0 2px;
  line-height: 38px;
}
.iwb-table .bootstrap-table .table tbody, .iwb-bootstrap-table .bootstrap-table .table tbody {
  border: none;
}
.iwb-table .bootstrap-table .table tbody > tr, .iwb-bootstrap-table .bootstrap-table .table tbody > tr {
  cursor: pointer;
  background: #e6f2ff;
}
.iwb-table .bootstrap-table .table tbody > tr:nth-of-type(even), .iwb-bootstrap-table .bootstrap-table .table tbody > tr:nth-of-type(even) {
  background-image: linear-gradient(rgba(0, 0, 0, 0.03), rgba(0, 0, 0, 0.03));
}
.iwb-table .bootstrap-table .table tbody > tr > td, .iwb-bootstrap-table .bootstrap-table .table tbody > tr > td {
  padding: 0 2px;
  line-height: 27px;
  margin: 0;
  border-left: 1px solid #dee2e6;
  white-space: nowrap;
}
.iwb-table .bootstrap-table .table tbody > tr > td.bs-checkbox > .iwb-checkbox, .iwb-bootstrap-table .bootstrap-table .table tbody > tr > td.bs-checkbox > .iwb-checkbox {
  --w: 18px;
  padding-left: 20px;
}
.iwb-table .bootstrap-table .table tbody > tr > td.bs-checkbox > .iwb-checkbox > span, .iwb-bootstrap-table .bootstrap-table .table tbody > tr > td.bs-checkbox > .iwb-checkbox > span {
  top: 4px;
  left: 6px;
}
.iwb-table .bootstrap-table .table tbody > tr > td .table-action, .iwb-bootstrap-table .bootstrap-table .table tbody > tr > td .table-action {
  color: #007bff;
  margin: 0 3px;
  padding: 0 5px;
}
.iwb-table .bootstrap-table .table tbody > tr > td .table-action:hover, .iwb-bootstrap-table .bootstrap-table .table tbody > tr > td .table-action:hover {
  padding-bottom: 1px;
  border-bottom: 2px solid;
}
.iwb-table .bootstrap-table .table tbody > tr:hover > td, .iwb-bootstrap-table .bootstrap-table .table tbody > tr:hover > td {
  background: #4da3ff;
  color: #fff;
}
.iwb-table .bootstrap-table .table tbody > tr:hover .iwb-checkbox > span, .iwb-bootstrap-table .bootstrap-table .table tbody > tr:hover .iwb-checkbox > span {
  color: #fff;
}
.iwb-table .bootstrap-table .table tbody > tr:hover .table-action, .iwb-bootstrap-table .bootstrap-table .table tbody > tr:hover .table-action {
  color: #fff;
}
.iwb-table .bootstrap-table .table tbody > tr.no-records-found > td, .iwb-table .bootstrap-table .table tbody > tr.selected > td, .iwb-bootstrap-table .bootstrap-table .table tbody > tr.no-records-found > td, .iwb-bootstrap-table .bootstrap-table .table tbody > tr.selected > td {
  background: #3395ff;
  color: #fff;
}
.iwb-table .bootstrap-table .table tbody > tr.no-records-found .iwb-checkbox > span, .iwb-table .bootstrap-table .table tbody > tr.selected .iwb-checkbox > span, .iwb-bootstrap-table .bootstrap-table .table tbody > tr.no-records-found .iwb-checkbox > span, .iwb-bootstrap-table .bootstrap-table .table tbody > tr.selected .iwb-checkbox > span {
  color: #fff;
}
.iwb-table .bootstrap-table .table tbody > tr.no-records-found .table-action, .iwb-table .bootstrap-table .table tbody > tr.selected .table-action, .iwb-bootstrap-table .bootstrap-table .table tbody > tr.no-records-found .table-action, .iwb-bootstrap-table .bootstrap-table .table tbody > tr.selected .table-action {
  color: #fff;
}
.iwb-table .bootstrap-table .fixed-table-loading, .iwb-bootstrap-table .bootstrap-table .fixed-table-loading {
  top: 50% !important;
  color: var(--mc);
  border: none;
}
.iwb-table .bootstrap-table .fixed-table-loading .loading-wrap .animation-dot, .iwb-table .bootstrap-table .fixed-table-loading .loading-wrap .animation-wrap:before, .iwb-table .bootstrap-table .fixed-table-loading .loading-wrap .animation-wrap:after, .iwb-bootstrap-table .bootstrap-table .fixed-table-loading .loading-wrap .animation-dot, .iwb-bootstrap-table .bootstrap-table .fixed-table-loading .loading-wrap .animation-wrap:before, .iwb-bootstrap-table .bootstrap-table .fixed-table-loading .loading-wrap .animation-wrap:after {
  background: var(--mc) !important;
}
.iwb-table .bootstrap-table .fixed-table-container, .iwb-bootstrap-table .bootstrap-table .fixed-table-container {
  border-left: 1px solid #dee2e6;
  border-right: 1px solid #dee2e6;
}
.iwb-table .bootstrap-table .fixed-table-pagination, .iwb-bootstrap-table .bootstrap-table .fixed-table-pagination {
  --h: 28px;
}
.iwb-table .bootstrap-table .fixed-table-pagination .pagination-detail, .iwb-table .bootstrap-table .fixed-table-pagination .pagination, .iwb-bootstrap-table .bootstrap-table .fixed-table-pagination .pagination-detail, .iwb-bootstrap-table .bootstrap-table .fixed-table-pagination .pagination {
  margin-top: 8px;
  margin-bottom: 0;
}
.iwb-table .bootstrap-table .fixed-table-pagination .pagination-detail .pagination-info, .iwb-bootstrap-table .bootstrap-table .fixed-table-pagination .pagination-detail .pagination-info {
  font-size: 0.8rem;
  color: #007bff;
}
.iwb-table .bootstrap-table .fixed-table-pagination .pagination-detail .page-list, .iwb-bootstrap-table .bootstrap-table .fixed-table-pagination .pagination-detail .page-list {
  color: #007bff;
}
.iwb-table .bootstrap-table .fixed-table-pagination .pagination-detail .page-list .btn-group > .btn, .iwb-bootstrap-table .bootstrap-table .fixed-table-pagination .pagination-detail .page-list .btn-group > .btn {
  background: #007bff;
  border-color: #007bff;
  padding: 1px 8px;
}
.iwb-table .bootstrap-table .fixed-table-pagination .pagination-detail .page-list .dropdown-menu, .iwb-bootstrap-table .bootstrap-table .fixed-table-pagination .pagination-detail .page-list .dropdown-menu {
  min-width: 55px;
}
.iwb-table .bootstrap-table .fixed-table-pagination .pagination .page-item .page-link, .iwb-bootstrap-table .bootstrap-table .fixed-table-pagination .pagination .page-item .page-link {
  border-color: #dedede;
  padding: 0 10px;
  line-height: var(--h);
  height: var(--h);
}
.iwb-table .bootstrap-table .fixed-table-pagination .pagination .page-item .page-link.active, .iwb-bootstrap-table .bootstrap-table .fixed-table-pagination .pagination .page-item .page-link.active {
  color: #007bff;
}
.iwb-table .bootstrap-table .fixed-table-pagination .pagination .page-jump-to.btn-group .form-control, .iwb-bootstrap-table .bootstrap-table .fixed-table-pagination .pagination .page-jump-to.btn-group .form-control {
  font-size: 0.875rem;
  width: 45px;
  margin-left: 5px;
  padding: 0 5px;
  color: #007bff;
  line-height: var(--h);
  height: var(--h);
}
.iwb-table .bootstrap-table .fixed-table-pagination .pagination .page-jump-to.btn-group .btn, .iwb-bootstrap-table .bootstrap-table .fixed-table-pagination .pagination .page-jump-to.btn-group .btn {
  background: #007bff;
  border-color: #007bff;
  padding: 0 10px;
  line-height: calc(var(--h) - 2px);
}
.iwb-table .bootstrap-table .fixed-table-border, .iwb-bootstrap-table .bootstrap-table .fixed-table-border {
  height: 0 !important;
}

.iwb-file {
  width: 100%;
  position: relative;
  display: inline-block;
  margin-bottom: 0;
}
.iwb-file .iwb-file-input {
  opacity: 0;
}
.iwb-file .iwb-file-label {
  background-color: #fff;
  border: 1px solid #ced4da;
  color: #6c757d !important;
  text-align: left;
  position: absolute;
  top: 0;
  right: 0;
  left: 0;
  z-index: 1;
  width: 100%;
  height: calc(1.8125rem + 2px);
  padding: 7px 150px 7px 8px;
  line-height: 1.25;
  font-size: 0.875rem;
  font-weight: 400 !important;
  border-radius: 0.25rem;
}
.iwb-file .iwb-file-label.choice {
  color: #e9ecef;
}
.iwb-file .iwb-file-label:after {
  content: "\f093  浏览文件";
  width: 99px;
  display: flex;
  align-items: center;
  justify-content: center;
  color: #fff;
  border-left: 1px solid #dee2e6;
  background-color: #007bff;
  position: absolute;
  top: -1px;
  right: 0;
  bottom: 0;
  z-index: 3;
  height: calc(1.8125rem + 2px);
  font-family: "Font Awesome 5 Free";
  border-radius: 0 0.25rem 0.25rem 0;
  font-weight: 900;
}
.iwb-file .iwb-file-input:lang(en) ~ .iwb-file-label::after {
  content: "Browse";
}
.iwb-file .clean {
  color: #fff;
  border-left: 1px solid #dee2e6;
  background-color: #007bff;
  width: 35px;
  height: calc(1.8125rem + 2px);
  cursor: pointer;
  position: absolute;
  top: 0;
  right: 100px;
  z-index: 1;
  display: flex;
  align-items: center;
  justify-content: center;
}
.iwb-file.file-error .iwb-file-label {
  border: 1px solid #dc3545 !important;
}
.iwb-file.file-success .iwb-file-label {
  color: #495057 !important;
}

.select2:focus {
  outline: none;
}
.select2 .selection .select2-selection {
  padding: 0;
  background-color: transparent;
  border: 1px solid #ced4da;
  border-radius: 0.25rem;
  height: calc(1.8125rem + 2px);
  line-height: calc(1.8125rem + 2px);
}
.select2 .selection .select2-selection:focus {
  outline: none;
}
.select2 .selection .select2-selection .select2-selection__rendered {
  line-height: 31px;
  margin-top: -1px;
  padding-left: 8px;
  font-size: 0.9rem;
}
.select2 .selection .select2-selection .select2-selection__arrow b {
  top: 45%;
}
.select2 .selection .select2-selection.select2-selection--multiple .select2-selection__choice {
  background: var(--mc);
  border-color: var(--mc);
  height: 24px;
  line-height: 24px;
  margin-top: 4px;
}
.select2 .selection .select2-selection.select2-selection--multiple .select2-selection__choice .select2-selection__choice__remove {
  color: #ddd;
}
.select2 .selection .select2-selection.select2-selection--multiple .select2-search.select2-search--inline .select2-search__field {
  margin-top: 0;
}

.select2.select2-container .select2-selection {
  height: 31px;
  padding: 0;
}

.select2-container.select2-container--open > .select2-dropdown {
  z-index: 1200;
}
.select2-container.select2-container--open > .select2-dropdown .select2-search__field {
  font-size: 0.9rem;
  line-height: 1;
}
.select2-container.select2-container--open > .select2-dropdown .select2-search__field:focus {
  outline: 0;
  border: 1px solid #3395ff;
}
.select2-container.select2-container--open > .select2-dropdown .select2-results__options {
  font-size: 0.8rem;
}
.select2-container.select2-container--open > .select2-dropdown .select2-results__options .select2-results__option {
  padding: 3px 10px;
  background-color: #fff;
}
.select2-container.select2-container--open > .select2-dropdown .select2-results__options .select2-results__option.select2-results__option--highlighted[aria-selected], .select2-container.select2-container--open > .select2-dropdown .select2-results__options .select2-results__option.select2-results__option--highlighted[aria-selected]:hover {
  color: inherit;
  background-image: linear-gradient(rgba(0, 0, 0, 0.1), rgba(0, 0, 0, 0.1));
}
.select2-container.select2-container--open > .select2-dropdown .select2-results__options .select2-results__option.select2-results__option--selected {
  background-color: #4da3ff;
  color: #fff !important;
  background-image: inear-gradient(rgba(0, 0, 0, 0), rgba(0, 0, 0, 0));
}
.select2-container.select2-container--open.select2-container--below .select2-selection {
  border-radius: 0.25rem 0.25rem 0 0;
}
.select2-container.select2-container--open.select2-container--above .select2-selection {
  border-radius: 0 0 0.25rem 0.25rem;
}

.swal-modal {
  width: auto;
  text-align: left;
  padding: 10px 10px 15px;
}
.swal-modal .swal-icon {
  display: none;
}
.swal-modal .swal-title, .swal-modal .swal-text {
  font-size: 14px;
  text-align: left;
  margin: 0;
  padding: 10px 0 0;
  text-indent: 1em;
  min-width: 250px;
}
.swal-modal .swal-text {
  padding: 5px 0;
  max-width: 300px;
}
.swal-modal .swal-title, .swal-modal .swal-icon + .swal-text {
  font-size: 16px;
  font-weight: 600;
  color: #333;
  line-height: 35px;
  max-width: 300px;
}
.swal-modal .swal-title:before, .swal-modal .swal-icon + .swal-text:before {
  font-family: "Font Awesome 5 Free";
  margin-right: 10px;
  font-size: 30px;
  position: relative;
  top: 4px;
}
.swal-modal .swal-icon--success + .swal-title:before, .swal-modal .swal-icon--success + .swal-text:before {
  content: "\f058";
  color: #a5dc86;
}
.swal-modal .swal-icon--error + .swal-title:before, .swal-modal .swal-icon--error + .swal-text:before {
  content: "\f071";
  color: #f27474;
}
.swal-modal .swal-icon--warning + .swal-title:before, .swal-modal .swal-icon--warning + .swal-text:before {
  content: "\f06a";
  color: #f8bb86;
}
.swal-modal .swal-icon--info + .swal-title:before, .swal-modal .swal-icon--info + .swal-text:before {
  content: "\f05a";
  color: #c9dae1;
}
.swal-modal .swal-footer {
  text-align: right;
  margin-top: 0px;
  padding: 5px 10px;
}
.swal-modal .swal-footer .swal-button-container {
  margin: 0;
}
.swal-modal .swal-footer .swal-button-container .swal-button {
  background-color: #0074f0;
  border: 1px solid #0074f0;
  color: #fff;
  border-radius: 3px;
  box-shadow: none;
  font-weight: 600;
  font-size: 14px;
  padding: 4px 20px;
  margin-left: 15px;
  cursor: pointer;
}
.swal-modal .swal-footer .swal-button-container .swal-button.swal-button--cancel {
  color: #0074f0;
  background-color: #fff;
  border: 1px solid #0074f0;
}

.jstree > .jstree-container-ul .jstree-wholerow {
  height: 26px;
}
.jstree > .jstree-container-ul .jstree-wholerow-hovered {
  background: #80bdff;
}
.jstree > .jstree-container-ul .jstree-wholerow-clicked {
  background: #4da3ff;
}
.jstree > .jstree-container-ul .jstree-anchor {
  height: 26px;
  line-height: 26px;
  font-size: 0.9rem;
}
.jstree > .jstree-container-ul .jstree-anchor.jstree-hovered {
  color: #fff;
}
.jstree > .jstree-container-ul .jstree-anchor.jstree-clicked {
  color: #fff;
}
.jstree > .jstree-container-ul .jstree-icon, .jstree > .jstree-container-ul .jstree-icon:empty {
  width: 26px;
  height: 26px;
  line-height: 26px;
}

.daterangepicker tr td.available:hover {
  background-color: #cce5ff;
}
.daterangepicker tr td.available.in-range {
  background-color: #99caff;
}
.daterangepicker tr td.available.today {
  background-color: #4da3ff;
}
.daterangepicker tr td.available.active, .daterangepicker tr td.available.active:hover {
  background-color: #007bff;
  color: #fff;
}
.daterangepicker .ranges ul {
  width: 100px;
}
.daterangepicker .ranges ul li {
  text-align: right;
  padding-right: 20px;
}
.daterangepicker .ranges ul li:hover {
  background-color: #cce5ff;
}
.daterangepicker .ranges ul li.active {
  background-color: #007bff;
  color: #fff;
}

.treeview ul.list-group .list-group-item.node-checked {
  color: #eee;
  background: #4da3ff;
}
.treeview ul.list-group .list-group-item.node-selected {
  color: #fff;
  background: #007bff;
}
.treeview ul.list-group .list-group-item.node-tree_view:not(.node-disabled):hover {
  background-image: linear-gradient(rgba(0, 0, 0, 0.05), rgba(0, 0, 0, 0.05));
}
